using System.IO.Compression;

namespace MesETL.Shared.Helper;

public class CompressHelper
{
    /// <summary>
    /// 
    /// </summary>
    /// <param name="data"></param>
    /// <returns></returns>
    public static byte[] CompressDeflate(byte[] data)
    {
        using var src = new MemoryStream(data);

        using var outStream = new MemoryStream();
        using var gzip = new DeflateStream(outStream, CompressionMode.Compress);
        src.CopyTo(gzip);
        gzip.Flush();
        return outStream.ToArray();
    }
}